Page MenuHomeFreeBSD

bsd.sites.mk: cleanup MOZILLA mirrors
ClosedPublic

Authored by jbeich on May 15 2015, 6:09 AM.

Details

Reviewers
ohauer
bapt
naddy
Group Reviewers
office
portmgr
Summary

Mozilla blogged a few years back that CDN is preferred distribution channel. Nowadays mirrors page was moved to www-archive and those listed in MASTER_SITE_MOZILLA don't hold anything recent for half a year:

  • mirror3.mirrors.tds.net: Last modified 2014-09-01, firefox 32.0, no addons
  • mozilla.isc.org: Operation timed out
  • kyoto-mz-dl.sinet.ad.jp: Last modified 2014-09-02, firefox 32.0; Addons Last modified 2012-10-09
  • jp-nii0[12].mozilla.org: No address record
  • mirror.internode.on.net: 404 Not Found
  • ftp.acc.umu.se: Last modified 2014-09-01, firefox 32.0, no addons
  • mozilla.c3sl.ufpr.br: Not Found
  • www.gtlib.gatech.edu: Operation timed out
  • ftp.fh-wolfenbuettel.de: Last modified 2014-08-27, firefox 31.0, no addons
  • ftp.informatik.rwth-aachen.de: Last modified 2014-09-01, firefox 32.0, no addons
  • ftp.twaren.net: FTP Forbidden or HTTP Last modified 2014-09-01, firefox 32.0, no addons

The proposed changes are:

  • Switch to CDN as mirrors are no longer kept up to date
  • Drop obsolete pointer to http://www.mozilla.org/mirrors.html
  • Drop redundant BUGZILLA and MOZILLA_EXTEND
  • Shorten MASTER_SITES in gecko@ ports
  • Move MOZILLA_ADDONS to bsd.sites.mk
  • Move one of MOZILLA mirrors with old addons to MOZILLA_ADDONS
  • addons.cdn redirects to https://, so don't mislead with http://

MFH: 2015Q2

Test Plan
$ for f in $(git log -1 --pretty='' --name-only); do
      distilator --timeout=1 ${f%/*}
  done
500 [WWW]	http://opus-codec.org/
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/opus/opus-tools-0.1.9.tar.gz
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/opus/opus-tools-0.1.9.tar.gz
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/opus/opus-tools-0.1.9.tar.gz
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/opus/opus-tools-0.1.9.tar.gz
200 [DISTFILE]	http://downloads.xiph.org/releases/opus/opus-tools-0.1.9.tar.gz
200 [WWW]	http://opus-codec.org/
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/opus/opus-1.1.tar.gz
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/opus/opus-1.1.tar.gz
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/opus/opus-1.1.tar.gz
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/opus/opus-1.1.tar.gz
200 [DISTFILE]	http://downloads.xiph.org/releases/opus/opus-1.1.tar.gz
200 [WWW]	http://www.opus-codec.org/
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/opus/opusfile-0.6.tar.gz
200 [DISTFILE]	http://downloads.xiph.org/releases/opus/opusfile-0.6.tar.gz
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/opus/opusfile-0.6.tar.gz
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/opus/opusfile-0.6.tar.gz
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/opus/opusfile-0.6.tar.gz
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/webtools/archived/bugzilla-4.4.8.tar.gz
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/webtools/bugzilla-4.4.8.tar.gz
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/webtools/bugzilla-4.4.8.tar.gz
200 [WWW]	http://www.bugzilla.org/
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/webtools/archived/bugzilla-4.4.8.tar.gz
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/webtools/archived/bugzilla-4.4.8.tar.gz
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/webtools/archived/bugzilla-4.4.8.tar.gz
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/webtools/bugzilla-4.4.8.tar.gz
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/webtools/bugzilla-4.4.8.tar.gz
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/js/js-1.7.0.tar.gz
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/js/js-1.7.0.tar.gz
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/js/js-1.7.0.tar.gz
200 [WWW]	http://www.mozilla.org/js/spidermonkey/
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/js/js-1.7.0.tar.gz
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/en-US/thunderbird-31.7.0.tar.bz2
200 [WWW]	http://www.mozilla.com/thunderbird/
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/en-US/thunderbird-31.7.0.tar.bz2
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/en-US/thunderbird-31.7.0.tar.bz2
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/en-US/thunderbird-31.7.0.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/en-US/thunderbird-31.7.0.tar.bz2
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/en-US/thunderbird-31.7.0.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/en-US/thunderbird-31.7.0.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/en-US/thunderbird-31.7.0.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/fr.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/pt-BR.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/pt-BR.xpi
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/pt-BR.xpi
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/pa-IN.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ko.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ru.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ru.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/it.xpi
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ko.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ja.xpi
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/es-ES.xpi
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/pt-BR.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/zh-CN.xpi
500 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/it.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ko.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/it.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/de.xpi
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/pa-IN.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ja.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/es-ES.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/zh-CN.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/de.xpi
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/zh-CN.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/es-ES.xpi
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/fr.xpi
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ru.xpi
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ja.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/fr.xpi
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ja.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/zh-CN.xpi
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/de.xpi
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ja.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/pa-IN.xpi
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/zh-CN.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/fr.xpi
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/pt-BR.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/pt-BR.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/pa-IN.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ko.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/zh-CN.xpi
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ru.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ja.xpi
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/zh-CN.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/pa-IN.xpi
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/es-ES.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ja.xpi
500 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/de.xpi
404 [WWW]	http://www.mozilla.org/projects/l10n/
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ko.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/es-ES.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/pa-IN.xpi
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/es-ES.xpi
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/pa-IN.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/es-ES.xpi
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/fr.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/de.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/fr.xpi
500 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ko.xpi
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/it.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/it.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/de.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/de.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ru.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/zh-CN.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ja.xpi
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ru.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ko.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/pt-BR.xpi
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/it.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ru.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/ru.xpi
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/de.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/ko.xpi
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/es-ES.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/it.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/pa-IN.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/it.xpi
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/linux-i686/xpi/fr.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/fr.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/linux-i686/xpi/pt-BR.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/source/thunderbird-31.7.0.source.tar.bz2
404 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/source/thunderbird-31.7.0.source.tar.bz2
200 [WWW]	http://www.mozilla.com/thunderbird/
200 [DISTFILE]	https://www.enigmail.net/download/source/enigmail-1.8.2.tar.gz
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/source/thunderbird-31.7.0.source.tar.bz2
404 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/source/thunderbird-31.7.0.source.tar.bz2
404 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/source/thunderbird-31.7.0.source.tar.bz2
404 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/31.7.0/source/thunderbird-31.7.0.source.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/source/thunderbird-31.7.0.source.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/thunderbird/candidates/31.7.0-candidates/build1/source/thunderbird-31.7.0.source.tar.bz2
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/qaamuuska-afka-soomaaliga/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/13375/qaamuuska_af_soomaaliga-1.0.2-tb+fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/13375/qaamuuska_af_soomaaliga-1.0.2-tb+fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/10894/serbian_dictionary-0.18-fx+tb+sm.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/10894/serbian_dictionary-0.18-fx+tb+sm.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/%D1%81%D1%80%D0%BF%D1%81%D0%BA%D0%B8-%D1%80%D0%B5%D1%87%D0%BD%D0%B8%D0%BA-serbian-dictiona/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/46614/swati_spell_checker-20110323-tb+sm+fx+fn.xpi
500 [WWW]	http://www.translate.org.za/
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/swati-spell-checker/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/46614/swati_spell_checker-20110323-tb+sm+fx+fn.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/204314/turkmen_spell_checker_dictionary-0.1.6-tb+fx+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/204314/turkmen_spell_checker_dictionary-0.1.6-tb+fx+sm.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/turkmen-spell-checker/
200 [WWW]	http://borel.slu.edu/crubadan/apps.html
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/tswana-spell-checker/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/46617/tswana_spell_checker-20110323-tb+sm+fx+fn.xpi
500 [WWW]	http://www.translate.org.za/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/46617/tswana_spell_checker-20110323-tb+sm+fx+fn.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/46611/tsonga_spell_checker-20110323-tb+sm+fx+fn.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/46611/tsonga_spell_checker-20110323-tb+sm+fx+fn.xpi
500 [WWW]	http://www.translate.org.za/
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/tsonga-spell-checker/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/46601/venda_spell_checker-20110323-tb+fn+fx+sm.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/venda-spell-checker/
500 [WWW]	http://www.translate.org.za/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/46601/venda_spell_checker-20110323-tb+fn+fx+sm.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/46599/xhosa_spell_checker-20110323-tb+fn+fx+sm.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/xhosa-spell-checker/
500 [WWW]	http://www.translate.org.za/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/46599/xhosa_spell_checker-20110323-tb+fn+fx+sm.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/yiddish-spell-checker-yivo/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/222538/yiddish_spell_checker_yivo-0.0.3-sm+fn+fx+tb.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/222538/yiddish_spell_checker_yivo-0.0.3-sm+fn+fx+tb.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/46490/zulu_spell_checker-20110323-tb+fn+fx+sm.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/zulu-spell-checker/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/46490/zulu_spell_checker-20110323-tb+fn+fx+sm.xpi
500 [WWW]	http://www.translate.org.za/
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/linux-i686/xpi/af.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/linux-i686/xpi/af.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/linux-i686/xpi/af.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/linux-i686/xpi/af.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/linux-i686/xpi/af.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/linux-i686/xpi/af.xpi
404 [WWW]	http://www.mozilla.org/projects/l10n/
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/linux-i686/xpi/af.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/linux-i686/xpi/af.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/source/firefox-31.7.0esr.source.tar.bz2
200 [WWW]	http://www.mozilla.com/firefox
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/source/firefox-31.7.0esr.source.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/source/firefox-31.7.0esr.source.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/linux-i686/xpi/ar.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/linux-i686/xpi/ar.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/linux-i686/xpi/ar.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/linux-i686/xpi/ar.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/linux-i686/xpi/ar.xpi
500 [WWW]	http://www.mozilla.org/projects/l10n/
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/linux-i686/xpi/ar.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/linux-i686/xpi/ar.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/linux-i686/xpi/ar.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/source/firefox-38.0.1.source.tar.bz2
200 [WWW]	http://www.mozilla.com/firefox
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/source/firefox-38.0.1.source.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/source/firefox-38.0.1.source.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/source/firefox-38.0.1.source.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/source/firefox-38.0.1.source.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/source/firefox-38.0.1.source.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/source/firefox-38.0.1.source.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/source/firefox-38.0.1.source.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/source/firefox-31.7.0esr.source.tar.bz2
500 [WWW]	http://developer.mozilla.org/en/docs/XULRunner
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.7.0esr/source/firefox-31.7.0esr.source.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.7.0esr-candidates/build2/source/firefox-31.7.0esr.source.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/linux-i686/en-US/firefox-38.0.1.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/linux-i686/en-US/firefox-38.0.1.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/linux-i686/en-US/firefox-38.0.1.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/linux-i686/en-US/firefox-38.0.1.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/linux-i686/en-US/firefox-38.0.1.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/linux-i686/en-US/firefox-38.0.1.tar.bz2
200 [WWW]	http://www.mozilla.com/firefox/
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0.1/linux-i686/en-US/firefox-38.0.1.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/firefox/candidates/38.0.1-candidates/build1/linux-i686/en-US/firefox-38.0.1.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/linux-i686/en-US/seamonkey-2.33.1.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/linux-i686/en-US/seamonkey-2.33.1.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/linux-i686/en-US/seamonkey-2.33.1.tar.bz2
200 [WWW]	http://www.mozilla.org/projects/seamonkey/
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/linux-i686/en-US/seamonkey-2.33.1.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/linux-i686/en-US/seamonkey-2.33.1.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/linux-i686/en-US/seamonkey-2.33.1.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/linux-i686/en-US/seamonkey-2.33.1.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/linux-i686/en-US/seamonkey-2.33.1.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.zh-CN.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.de.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.ru.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.fr.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.fr.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.it.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.es-ES.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.hu.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.hu.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.fr.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.ru.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.ru.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.ru.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.de.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.zh-CN.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.hu.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.fr.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.es-ES.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.ru.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.zh-CN.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.hu.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.de.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.it.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.hu.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.fr.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.fr.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.zh-CN.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.es-ES.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.it.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.it.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.it.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.it.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.zh-CN.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.de.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.it.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.de.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.hu.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.fr.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.es-ES.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.de.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.ru.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.ru.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.es-ES.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.ru.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.zh-CN.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.it.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.hu.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.de.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.de.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.zh-CN.langpack.xpi
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.es-ES.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.hu.langpack.xpi
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.zh-CN.langpack.xpi
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.fr.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/langpack/seamonkey-2.33.1.es-ES.langpack.xpi
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/langpack/seamonkey-2.33.1.es-ES.langpack.xpi
200 [WWW]	http://www.seamonkey-project.org/releases/#langpacks
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/source/seamonkey-2.33.1.source.tar.bz2
200 [DISTFILE]	https://www.enigmail.net/download/source/enigmail-1.8.2.tar.gz
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/source/seamonkey-2.33.1.source.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/source/seamonkey-2.33.1.source.tar.bz2
200 [DISTFILE]	https://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/source/seamonkey-2.33.1.source.tar.bz2
200 [DISTFILE]	http://releases.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/source/seamonkey-2.33.1.source.tar.bz2
200 [WWW]	http://www.mozilla.org/projects/seamonkey/
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/source/seamonkey-2.33.1.source.tar.bz2
500 [DISTFILE]	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/2.33.1/source/seamonkey-2.33.1.source.tar.bz2
200 [DISTFILE]	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/candidates/2.33.1-candidates/build1/source/seamonkey-2.33.1.source.tar.bz2
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/10/adblock-0.5.3.043-fx+fl+mz+ns.xpi
200 [WWW]	http://adblock.mozdev.org/
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/10/adblock-0.5.3.043-fx+fl+mz+ns.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/201/downthemall-2.0.17-fx+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/201/downthemall-2.0.17-fx+sm.xpi
200 [WWW]	http://www.downthemall.net/
$ for port in $(for f in www/xpi-*/Makefile; do
      fgrep -q MASTER_SITES $f || echo ${f%/*}; done); do
          distilator --timeout=1 $port
  done
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/10/adblock-0.5.3.043-fx+fl+mz+ns.xpi
200 [WWW]	http://adblock.mozdev.org/
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/10/adblock-0.5.3.043-fx+fl+mz+ns.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1865/adblock_plus-2.6.9-an+sm+tb+fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1865/adblock_plus-2.6.9-an+sm+tb+fx.xpi
200 [WWW]	http://adblockplus.org/en/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1553/bookmark_duplicate_detector-0.7.5-fx.xpi
200 [WWW]	http://bookmarkdd.mozdev.org/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1553/bookmark_duplicate_detector-0.7.5-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1801/clear_cache_button-0.9f-fx.xpi
200 [WWW]	http://chrisholtz.com/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1801/clear_cache_button-0.9f-fx.xpi
200 [WWW]	http://alex.alexander.googlepages.com/clearfields
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2408/clear_fields-4.1.0-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2408/clear_fields-4.1.0-fx.xpi
404 [WWW]	http://www.jgadesign.net/SoftwarePages/CloseAllTabs.aspx
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2914/close_all_tabs-1.1-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2914/close_all_tabs-1.1-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1368/colorfultabs-19.0-fx+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1368/colorfultabs-19.0-fx+sm.xpi
500 [WWW]	http://www.binaryturf.com/free-software/colorfultabs-for-firefox/
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2497/cookiesafe-3.0.5-fx+tb+sm.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2497/cookiesafe-3.0.5-fx+tb+sm.xpi
500 [WWW]	http://forum.softwareblaze.com/
500 [WWW]	https://addons.mozilla.org/firefox/2104/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2104/cssviewer-1.0.3-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2104/cssviewer-1.0.3-fx.xpi
200 [WWW]	http://www.cutemenuproject.com/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1330/cutemenus_-_crystal_svg-1.9.3-fx+tb+sb+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1330/cutemenus_-_crystal_svg-1.9.3-fx+tb+sb+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/6965/default_full_zoom_level-4.3-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/6965/default_full_zoom_level-4.3-fx.xpi
404 [WWW]	https://addons.mozilla.org/firefox/6965
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/201/downthemall-2.0.17-fx+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/201/downthemall-2.0.17-fx+sm.xpi
200 [WWW]	http://www.downthemall.net/
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/3336
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/3336/errorzilla_mod-0.42-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/3336/errorzilla_mod-0.42-fx.xpi
200 [WWW]	http://fasterfox.mozdev.org/
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1269/fasterfox-2.0.0-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1269/fasterfox-2.0.0-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1843/firebug-2.0.9-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1843/firebug-2.0.9-fx.xpi
200 [WWW]	http://www.getfirebug.com/
200 [WWW]	http://showcase.uworks.net/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1810/firefox_showcase-0.9.5.6-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1810/firefox_showcase-0.9.5.6-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1951/fission-1.0.9-fx.xpi
500 [WWW]	http://forums.mozillazine.org/viewtopic.php?t=370248
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1951/fission-1.0.9-fx.xpi
500 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/5791/flagfox-5.0.10-sm+fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/5791/flagfox-5.0.10-sm+fx.xpi
200 [WWW]	http://flagfox.wordpress.com/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/433/flashblock-1.5.18-fx.xpi
200 [WWW]	http://flashblock.mozdev.org/
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/433/flashblock-1.5.18-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/117/flat_bookmark_editing-0.8.1-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/117/flat_bookmark_editing-0.8.1-fx.xpi
200 [WWW]	http://bluweb.com/us/chouser/proj/mozhack/
200 [WWW]	http://www.getforecastfox.com
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/398/forecastfox_weather-2.2.1-fx+sm.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/398/forecastfox_weather-2.2.1-fx+sm.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/1579
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1579/formfox-1.7-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1579/formfox-1.7-fx.xpi
200 [WWW]	http://www.foxmarks.com/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2410/foxmarks_bookmark_synchronizer-2.7.2-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2410/foxmarks_bookmark_synchronizer-2.7.2-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2464/foxyproxy_standard-4.1.1-sm+tb+fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2464/foxyproxy_standard-4.1.1-sm+tb+fx.xpi
500 [WWW]	https://addons.mozilla.org/firefox/2464/
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2515/gbrain-0.5.4-fx.xpi
200 [WWW]	http://www.splitbrain.org/projects/gbrain
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2515/gbrain-0.5.4-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/4631/provider_for_google_calendar-1.0.3-tb+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/4631/provider_for_google_calendar-1.0.3-tb+sm.xpi
200 [WWW]	https://wiki.mozilla.org/Calendar:GDATA_Provider
200 [WWW]	http://www.ghostery.com
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/9609/ghostery-5.0.6-an+fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/9609/ghostery-5.0.6-an+fx.xpi
200 [WWW]	http://www.googleshortcuts.org/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/3576/google_shortcuts-2.1.5-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/3576/google_shortcuts-2.1.5-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1250/grab_and_drag-2.7.6-fx+tb.xpi
500 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1250/grab_and_drag-2.7.6-fx+tb.xpi
200 [WWW]	http://grabanddrag.mozdev.org/
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/748/greasemonkey-1.15-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/748/greasemonkey-1.15-fx.xpi
200 [WWW]	http://www.greasespot.net/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/6647/httpfox-0.8.10-fx+sm.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/6647
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/6647/httpfox-0.8.10-fx+sm.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/139/image_zoom-0.3.1-fx+mz+tb+sm.xpi
200 [WWW]	http://imagezoom.yellowgorilla.net/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/139/image_zoom-0.3.1-fx+mz+tb+sm.xpi
200 [WWW]	http://mozilla.doslash.org/infolister/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/447/infolister-0.9f.2-fx+tb+sb.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/447/infolister-0.9f.2-fx+tb+sb.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/673/informenter-0.6.3-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/673/informenter-0.6.3-fx.xpi
200 [WWW]	http://informenter.mozdev.org/
404 [WWW]	https://addons.mozilla.org/firefox/2083/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2083/inline_google_definitions-1.4-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2083/inline_google_definitions-1.4-fx.xpi
500 [WWW]	http://trac.gerf.org/itsalltext
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/4125/its_all_text-1.8.1-sm+fx.xpi
500 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/4125/its_all_text-1.8.1-sm+fx.xpi
404 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/jsview/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2076/jsview-2.0.8-fx+sm.xpi
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2076/jsview-2.0.8-fx+sm.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/8529/jv-0.51-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/8529/jv-0.51-fx.xpi
200 [WWW]	http://code.google.com/p/jv-extension/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/4476/leechblock-0.5.2-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/4476/leechblock-0.5.2-fx.xpi
200 [WWW]	http://www.proginosko.com/leechblock.html
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/3829/live_http_headers-0.17-fx+sm.xpi
404 [WWW]	https://addons.mozilla.org/firefox/3829/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/3829/live_http_headers-0.17-fx+sm.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2007/live_pagerank-0.9.7-fx.xpi
500 [WWW]	http://livepr.raketforskning.com/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2007/live_pagerank-0.9.7-fx.xpi
200 [WWW]	http://benjamin.smedbergs.us/switch-locales/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/356/locale_switcher-2.1-fx+tb.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/356/locale_switcher-2.1-fx+tb.xpi
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/710/menu_editor-1.2.7-fx+tb.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/710/menu_editor-1.2.7-fx+tb.xpi
200 [WWW]	http://menueditor.mozdev.org/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/967/modify_headers-0.7.1.2b-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/967/modify_headers-0.7.1.2b-fx.xpi
500 [WWW]	https://addons.mozilla.org/firefox/967/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/421/mr_tech_local_install-5.3.2.3-fx+fl+mz+ns+nv+zm+sb+tb.xpi
500 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/421/mr_tech_local_install-5.3.2.3-fx+fl+mz+ns+nv+zm+sb+tb.xpi
200 [WWW]	http://mrtech.com/extensions/local_install/
500 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/3763/neo_diggler-1.0.6-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/3763/neo_diggler-1.0.6-fx.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/3763
404 [WWW]	https://addons.mozilla.org/firefox/1999/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1999/no-referrer-1.0.1-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1999/no-referrer-1.0.1-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/722/noscript-2.6.6.1-sm+fx+fn.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/722/noscript-2.6.6.1-sm+fx+fn.xpi
200 [WWW]	http://www.noscript.net/
500 [WWW]	http://passwordmaker.org/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/469/passwordmaker-1.7.8-fx+mz+sm.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/469/passwordmaker-1.7.8-fx+mz+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/636/pdf_download-3.0.0.3-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/636/pdf_download-3.0.0.3-fx.xpi
200 [WWW]	http://www.pdfdownload.org/
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/2558
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2558/permatabs-1.7.0-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2558/permatabs-1.7.0-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1333/quick_locale_switcher-1.7.8.5-fx+tb.xpi
500 [WWW]	http://www.captaincaveman.nl/?id=firefox_extensions
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1333/quick_locale_switcher-1.7.8.5-fx+tb.xpi
404 [WWW]	https://addons.mozilla.org/firefox/1557/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1557/quickproxy-2009.07.19-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1557/quickproxy-2009.07.19-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2570/resurrect_pages-2.0.7-fx.xpi
200 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/2570
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2570/resurrect_pages-2.0.7-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/3633/sameplace-0.7.9.2007113020-fx+tb+fl.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/3633/sameplace-0.7.9.2007113020-fx+tb+fl.xpi
200 [WWW]	http://dev.hyperstruct.net/xmpp4moz/wiki/LocalApplicationSamePlaceSuite
500 [WWW]	http://amb.vis.ne.jp/mozilla/scrapbook/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/427/scrapbook-1.2.0.8-fx+fl.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/427/scrapbook-1.2.0.8-fx+fl.xpi
200 [WWW]	http://www.quirk.biz/searchstatus/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/321/searchstatus-1.39-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/321/searchstatus-1.39-fx.xpi
404 [WWW]	http://releases.mozilla.org/pub/mozilla.org/addons/2036/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2036/server_spy-0.2.3-fx.xpi
500 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2036/server_spy-0.2.3-fx.xpi
200 [WWW]	http://hermann.czedik.net/projekte/switcher/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2409/server_switcher-0.4-fx+fl.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2409/server_switcher-0.4-fx+fl.xpi
200 [WWW]	http://sessionmanager.mozdev.org/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2324/session_manager-0.6.3.5-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2324/session_manager-0.6.3.5-fx.xpi
200 [WWW]	http://code.google.com/p/firefox-showip/
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/590/showip-2.0-tb+fx+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/590/showip-2.0-tb+fx+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2995/splash!-2.0.2-fx+tb+sb.xpi
200 [WWW]	http://www.mrtech.com/extensions/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2995/splash!-2.0.2-fx+tb+sb.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/138/stumbleupon-3.76-fx+sm+mz.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/138/stumbleupon-3.76-fx+sm+mz.xpi
200 [WWW]	http://www.stumbleupon.com/
200 [WWW]	http://userstyles.org/stylish/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2108/stylish-1.2.5-fx+tb+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2108/stylish-1.2.5-fx+tb+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1852/table2clipboard-1.5.1-fx+tb+sm.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1852/table2clipboard-1.5.1-fx+tb+sm.xpi
200 [WWW]	http://dafizilla.sourceforge.net/table2clip/
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2637/tabletools-0.27-fx.xpi
200 [WWW]	http://www.mingyi.org/other/tabletools.html
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2637/tabletools-0.27-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1122/tab_mix_plus-0.4.1.3.1-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1122/tab_mix_plus-0.4.1.3.1-fx.xpi
200 [WWW]	http://tmp.garyr.net/
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2351/toggle_word_wrap-1.8-fx+tb+sm.xpi
404 [WWW]	https://addons.mozilla.org/firefox/2351/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2351/toggle_word_wrap-1.8-fx+tb+sm.xpi
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/5081/twitterfox-1.8.3-fx.xpi
404 [WWW]	https://addons.mozilla.org/en-US/firefox/addon/5081
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/5081/twitterfox-1.8.3-fx.xpi
404 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/2254/unplug-2.054-fx+sm.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/2254/unplug-2.054-fx+sm.xpi
200 [WWW]	http://unplug.mozdev.org/
200 [WWW]	http://www.fnxweb.com/software-mozilla
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/403/url_link-2.03.3-fx+tb.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/403/url_link-2.03.3-fx+tb.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/59/user_agent_switcher-0.7.3-fx+sm.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/59/user_agent_switcher-0.7.3-fx+sm.xpi
200 [WWW]	http://chrispederick.com/work/user-agent-switcher/
200 [WWW]	http://vimperator.org/vimperator
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/4891/vimperator-3.5-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/4891/vimperator-3.5-fx.xpi
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/60/web_developer-1.2.2-fx+sm.xpi
404 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/60/web_developer-1.2.2-fx+sm.xpi
500 [WWW]	https://addons.mozilla.org/firefox/60/
200 [WWW]	http://piro.sakura.ne.jp/xul/_rubysupport.html.en
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1935/xhtml_ruby_support-3.0.2009060901-fx.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/1935/xhtml_ruby_support-3.0.2009060901-fx.xpi
200 [WWW]	http://dev.hyperstruct.net/xmpp4moz
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/3632/xmpp4moz-0.5.2.2007113019-fx+tb+fl.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/3632/xmpp4moz-0.5.2.2007113019-fx+tb+fl.xpi
200 [DISTFILE]	https://addons.cdn.mozilla.net/user-media/addons/5369/yslow-3.1.0-fx.xpi
500 [WWW]	http://developer.yahoo.com/yslow/
200 [DISTFILE]	http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/5369/yslow-3.1.0-fx.xpi

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

jbeich updated this revision to Diff 5395.May 15 2015, 6:09 AM
jbeich retitled this revision from to bsd.sites.mk: cleanup MOZILLA mirrors.
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)
jbeich added a reviewer: portmgr.

Hmm, MFHing without rP386312 will require care.

$ patch -CEfsp1 -i ~/mozilla_mirrors.diff
1 out of 1 hunks failed while patching audio/opus-tools/Makefile
1 out of 1 hunks failed while patching audio/opus/Makefile
1 out of 1 hunks failed while patching audio/opusfile/Makefile
1 out of 1 hunks failed while patching devel/bugzilla44/Makefile
1 out of 1 hunks failed while patching lang/spidermonkey17/Makefile
1 out of 1 hunks failed while patching www/xpi-downthemall/Makefile
bapt accepted this revision.May 15 2015, 7:49 AM
bapt added a reviewer: bapt.
This revision is now accepted and ready to land.May 15 2015, 7:49 AM
mat added a subscriber: mat.May 15 2015, 8:23 AM
mat added inline comments.
textproc/ve-hunspell/Makefile
7–8

This seems to be used quite a few time, maybe a MASTER_SITE_MOZILLA_ADDONS could be added with the 46601 as the %SUBDIR%

jbeich updated this revision to Diff 5405.May 15 2015, 2:04 PM
jbeich edited edge metadata.

Summary:

  • Move MOZILLA_ADDONS to bsd.sites.mk
  • Move one of MOZILLA mirrors with old addons to MOZILLA_ADDONS
  • addons.cdn redirects to https://, so don't mislead with http://

Test Plan:
Complete log in the main Test Plan. Here's a (non-comprehensive for xpi-*) list of non-false negatives for ports that have been touched:

$ sed '/WWW/d; /404/!d; \,thunderbird\/releas,d; /archived/d' ~/mozilla_mirror.list
404 [DISTFILE]  http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/204314/turkmen_spell_checker_dictionary-0.1.6-tb+fx+sm.xpi
404 [DISTFILE]  http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/10/adblock-0.5.3.043-fx+fl+mz+ns.xpi
404 [DISTFILE]  https://addons.cdn.mozilla.net/user-media/addons/10/adblock-0.5.3.043-fx+fl+mz+ns.xpi
404 [DISTFILE]  http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/201/downthemall-2.0.17-fx+sm.xpi

kyoto-mz-dl.sinet.ad.jp works only for some addons e.g.,

$ distilator --timeout=1 www/xpi-bookmarkdd
200 [DISTFILE]  http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/addons/1553/bookmark_duplicate_detector-0.7.5-fx.xpi
200 [WWW]       http://bookmarkdd.mozdev.org/
200 [DISTFILE]  https://addons.cdn.mozilla.net/user-media/addons/1553/bookmark_duplicate_detector-0.7.5-fx.xpi

Note, many xpi-* ports aren't kept up to date.

This revision now requires review to proceed.May 15 2015, 2:04 PM
jbeich updated this object.May 15 2015, 2:09 PM
jbeich edited the test plan for this revision. (Show Details)
jbeich edited edge metadata.
jbeich marked an inline comment as done.May 24 2015, 11:44 PM

While the review is stalled maybe someone can do an exp-run?

Adding more reviewers to reduce the scope of the blanket for the not-yet-approved version.

ohauer accepted this revision.May 31 2015, 9:47 AM
ohauer edited edge metadata.

Fine with it, cleanup dead master sites is always an improvement!

This revision is now accepted and ready to land.May 31 2015, 9:47 AM
jbeich closed this revision.Jun 9 2015, 2:50 PM
jbeich added a subscriber: pkg-fallout.

Closed by commit rP388939 (authored by @jbeich). I haven't waited a few more days for timeout and used the blanket. The change was trivial. Better land with a few days to spare before weekend to catch regressions early.

Also, make checksum check revealed 26 false negatives in xpi-* ports (i.e. fail to fetch) before and after the change. They haven't been marked BROKEN yet because @pkg-fallout has MASTER_SITE_FREEBSD=yes in make.conf.